This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 820497 - Hibernate Search assembly fails on missing files
Hibernate Search assembly fails on missing files
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: HibernateSearch (Show other bugs)
2.0.0.ER5
Unspecified Unspecified
low Severity low
: ---
: 2.0.0.ER6
Assigned To: Strong Liu
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 04:23 EDT by Karel Piwko
Modified: 2013-12-02 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 06:23:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Piwko 2012-05-10 04:23:24 EDT
Description of problem:

When building from sources, build fails on missing files to be included into assembly:

changelog.txt
lgpl.txt

How reproducible:

Always.

Steps to Reproduce:
1. mvn -s /proper/settings.xml clean package
  
Actual results:

[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 8.871s
[INFO] Finished at: Thu May 10 10:15:10 CEST 2012
[INFO] Final Memory: 19M/483M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-assembly-plugin:2.2.1-redhat-1:single (make-assembly) on project hibernate-search-distribution: Failed to create assembly: Error adding file to archive: /home/kpiwko/installations/wfk/2.0.0.ER5/jboss-wfk-2.0.0.ER5/src/hibernate-search-4.1.1.ER1-redhat-1/hibernate-search-distribution/../lgpl.txt isn't a file. -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException

Expected results:

Assembly is done.

Additional info:

Workaround is to do following:

touch changelog.txt
touch lgpl.txt
Comment 1 Karel Piwko 2012-05-10 04:28:13 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
To build Hibernate Search Distribution from sources, user is required to do following steps before executing Maven:

1/ Open hibernate-search-4.1.1.ER1-redhat-1/hibernate-search-distribution/src/main/assembly/dist.xml file

2/ Comment out following lines

        <file>
            <source>../changelog.txt</source>
            <outputDirectory>/</outputDirectory>
        </file>
        <file>
            <source>../lgpl.txt</source>
            <outputDirectory>/</outputDirectory>
        </file>
Comment 2 Sanne Grinovero 2012-05-10 17:32:46 EDT
I don't think you should remove those files? Are they not part of the distribution?
Comment 4 Strong Liu 2012-05-10 22:33:40 EDT
changelog.txt should be removed, we have release note for product

checking lgpl.txt
Comment 5 Strong Liu 2012-05-11 09:24:08 EDT
fixed in ER6
Comment 6 Karel Piwko 2012-06-04 08:21:36 EDT
Verified in WFK ER6.
Comment 8 Rebecca Newton 2012-06-20 02:17:26 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,14 +1 @@
-To build Hibernate Search Distribution from sources, user is required to do following steps before executing Maven:
+Previously, missing files required to be in assembly caused the build to fail when building from source. The missing files are now created by default (?) and the build succeeds.-
-1/ Open hibernate-search-4.1.1.ER1-redhat-1/hibernate-search-distribution/src/main/assembly/dist.xml file
-
-2/ Comment out following lines
-
-        <file>
-            <source>../changelog.txt</source>
-            <outputDirectory>/</outputDirectory>
-        </file>
-        <file>
-            <source>../lgpl.txt</source>
-            <outputDirectory>/</outputDirectory>
-        </file>
Comment 10 Karel Piwko 2012-06-22 06:23:40 EDT
Deleted Technical Notes Contents.

Old Contents:
Previously, missing files required to be in assembly caused the build to fail when building from source. The missing files are now created by default (?) and the build succeeds.

Note You need to log in before you can comment on or make changes to this bug.